package com.ruoyi.bst.vip.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.vip.domain.Vip;
import com.ruoyi.bst.vip.domain.VipQuery;
import com.ruoyi.bst.vip.domain.VipVO;

/**
 * 卡券Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-23
 */
public interface VipMapper
{
    /**
     * 查询卡券
     *
     * @param id 卡券主键
     * @return 卡券
     */
    VipVO selectVipById(Long id);

    /**
     * 查询卡券列表
     *
     * @param query 卡券
     * @return 卡券集合
     */
    List<VipVO> selectVipList(@Param("query")VipQuery query);

    /**
     * 新增卡券
     *
     * @param vip 卡券
     * @return 结果
     */
    int insertVip(Vip vip);

    /**
     * 修改卡券
     *
     * @param vip 卡券
     * @return 结果
     */
    public int updateVip(@Param("data") Vip vip);

    /**
     * 删除卡券
     *
     * @param id 卡券主键
     * @return 结果
     */
    int deleteVipById(Long id);

    /**
     * 批量删除卡券
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipByIds(Long[] ids);

    /**
     * 查询卡券ID列表
     * @param query
     * @return
     */
    List<Long> selectIdByQuery(@Param("query") VipQuery query);

    /**
     * 逻辑删除卡券
     * @param ids
     * @return
     */
    int logicDel(@Param("ids") List<Long> ids);
}
